Bug 133326 - Crash after redo (steps in comment 5)
Summary: Crash after redo (steps in comment 5)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash Regressions-1024plus-Columns
  Show dependency treegraph
 
Reported: 2020-05-23 20:06 UTC by Telesto
Modified: 2020-06-25 19:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["ScColumn::CopyToColumn(sc::CopyToDocContext &,long,long,InsertDeleteFlags,bool,ScColumn &,ScMarkData const *,bool,bool)"]


Attachments
Example file (61.16 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-05-23 20:07 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-23 20:06:40 UTC
Description:
Crash after redo

Steps to Reproduce:
1. Open the attached file
2. Add 6 empty sheets (pressing +)
3. CTRL+A in sheet 1
4. Paste into all 6
5. Undo everything
6. Redo everything -> Crash

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha1+ (x64)
Build ID: b587de60d4e6aa96238766272d94f1499b22f696
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-05-23 20:07:29 UTC
Created attachment 161202 [details]
Example file
Comment 2 Telesto 2020-05-23 20:08:58 UTC
crashreport.libreoffice.org/stats/crash_details/0f9fff9a-1716-4bb9-88bf-6f38aa2986af
Comment 3 b. 2020-05-25 20:25:50 UTC
repro, 

with 6.2.8.2: 3 cycles of un- and redo of 6 sheets no problem, 

with ver below: paste, undo, redo, crash :-(

Version: 7.0.0.0.alpha1+ (x64)
Build ID: b587de60d4e6aa96238766272d94f1499b22f696
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI: en-US
Calc:
Comment 4 Xisco Faulí 2020-06-01 11:40:30 UTC
Reproduced in

Version: 7.0.0.0.beta1+
Build ID: 2506d8221dd940dfd93d3d7c183430ba6ba3089d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Xisco Faulí 2020-06-01 11:42:04 UTC
Actually, you don't need to create 6 new sheets.
Steps:
1. Open attached document
2. Create a new empty sheet
3. Go to sheet1, select all, copy
4. Paste in sheet2
5. Undo 2 times
6. Redo 3 times.

-> Crash
Comment 6 Xisco Faulí 2020-06-01 11:55:09 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7282014e362a1529a36c88eb308df8ed359c2cfa

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-02-01 15:15:16 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-05 13:43:52 +0200
commit	7282014e362a1529a36c88eb308df8ed359c2cfa (patch)
tree	2776ad9601f494330076ac58c08554e719c6ab3a
parent	df30a4515b1303b0891baa53754fa9b3e47e0c02 (diff)
tdf#50916 Makes numbers of columns dynamic.

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 7 Commit Notification 2020-06-24 06:44:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/240758a972eb99dd4d26fa6040ff0b6614036621

tdf#133326 Crash after redo

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-06-24 09:32:14 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cb72269f93a20dd175dae3dcf30740c9931e7684
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!
Comment 9 Commit Notification 2020-06-24 10:53:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/54c09ef4e51cab4a76f72a00cddb92752cd488c3

tdf#133326 Crash after redo

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-06-24 12:55:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2bf38c355df9e5ecc6ec90658fcebc32885ff7d0

tdf#133326 Crash after redo

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-06-24 18:44:53 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/51a0d544b146f00420f7a552353585e882377c5e

tdf#133326 Crash after redo

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-06-25 19:10:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/122628e63543e7015547f522cf771f08afc4ea90

tdf#133326: sc: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.